> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Session Seats

> List anonymous seats for a session (owner only).



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/voting-sessions/{session_id}/seats
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/voting-sessions/{session_id}/seats:
    get:
      tags:
        - Voting Sessions
      summary: List Session Seats
      description: List anonymous seats for a session (owner only).
      operationId: >-
        list_session_seats_v1_experiments__experiment_id__voting_sessions__session_id__seats_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: path
          name: session_id
          required: true
          schema:
            format: uuid
            title: Session Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeatListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    SeatListResponse:
      properties:
        seats:
          items:
            $ref: '#/components/schemas/SeatResponse'
          title: Seats
          type: array
        total:
          title: Total
          type: integer
      required:
        - seats
        - total
      title: SeatListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SeatResponse:
      description: Seat info shown to experiment owners.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        exam_attempts:
          title: Exam Attempts
          type: integer
        exam_correct:
          title: Exam Correct
          type: integer
        id:
          format: uuid
          title: Id
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Revoked At
        token_prefix:
          title: Token Prefix
          type: string
        vote_count:
          title: Vote Count
          type: integer
      required:
        - id
        - token_prefix
        - created_at
        - revoked_at
        - vote_count
        - exam_attempts
        - exam_correct
      title: SeatResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````